LotusStyleManager Class Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Private Member Functions | Private Attributes | Friends | List of all members
LotusStyleManager Class Reference

This class parses the Lotus style. More...

`#include <LotusStyleManager.h>`

## Public Member Functions
| LotusStyleManager (LotusParser &parser)
| constructor More...
| ~LotusStyleManager ()
| destructor More...
void | cleanState ()
| clean internal state More...
void | updateState ()
| update the state (need to be called before asking for style) More...
bool | getColor (int cId, WPSColor &color) const
| returns if possible the color More...
bool | updateCellStyle (int cellId, WPSCellFormat &format, WPSFont &font, libwps_tools_win::Font::Type &fontType)
| update a cell format using the cell id More...
bool | updateFontStyle (int fontId, WPSFont &font, libwps_tools_win::Font::Type &fontType)
| update a font using the font id More...
bool | updateLineStyle (int lineId, WPSGraphicStyle &style) const
| update style using line id More...
bool | updateSurfaceStyle (int colorId, WPSGraphicStyle &style) const
| update style using color id More...
bool | updateGraphicStyle (int graphicId, WPSGraphicStyle &style) const
| update style using graphic id More...

## Protected Member Functions
bool | checkFilePosition (long pos)
| return true if the pos is in the file, update the file size if need More...
int | version () const
| return the file version More...
bool | readCellStyle (long endPos)
| reads a cell style More...
bool | readColorStyle (long endPos)
| reads a color style More...
bool | readFontStyle (long endPos)
| reads a font style More...
bool | readFormatStyle (long endPos)
| reads a format style More...
bool | readLineStyle (long endPos)
| reads a line style More...
bool | readGraphicStyle (long endPos)
| reads a graphic style More...
bool | updateShadowStyle (int colorId, WPSGraphicStyle &style) const
| update style using color id for defining shadow More...

## Private Member Functions
| LotusStyleManager (LotusStyleManager const &orig)
LotusStyleManager & | operator= (LotusStyleManager const &orig)
libwps::DebugFile & | ascii ()
| returns the debug file More...

## Private Attributes
RVNGInputStreamPtr | m_input
| the input More...
LotusParser & | m_mainParser
| the main parser More...
shared_ptr< LotusStyleManagerInternal::State > | m_state
| the internal state More...
libwps::DebugFile & | m_asciiFile
| the ascii file More...

## Friends
class | LotusParser

## Detailed Description

This class parses the Lotus style.

## Constructor & Destructor Documentation

LotusStyleManager::LotusStyleManager | ( | LotusParser & | parser | ) |
| explicit

constructor

LotusStyleManager::~LotusStyleManager | ( |  | ) |

destructor

LotusStyleManager::LotusStyleManager | ( | LotusStyleManager const & | orig | ) |
| private

## Member Function Documentation

libwps::DebugFile& LotusStyleManager::ascii | ( |  | ) |
| inlineprivate

returns the debug file

Referenced by readCellStyle(), readColorStyle(), readFontStyle(), readFormatStyle(), readGraphicStyle(), and readLineStyle().

bool LotusStyleManager::checkFilePosition | ( | long | pos | ) |
| protected

return true if the pos is in the file, update the file size if need

void LotusStyleManager::cleanState | ( |  | ) |

clean internal state

bool LotusStyleManager::getColor | ( | int | cId,
|  | WPSColor & | color
| ) |  | const

returns if possible the color

Referenced by readFontStyle().

LotusStyleManager& LotusStyleManager::operator= | ( | LotusStyleManager const & | orig | ) |
| private

bool LotusStyleManager::readCellStyle | ( | long | endPos | ) |
| protected

reads a cell style

bool LotusStyleManager::readColorStyle | ( | long | endPos | ) |
| protected

reads a color style

bool LotusStyleManager::readFontStyle | ( | long | endPos | ) |
| protected

reads a font style

bool LotusStyleManager::readFormatStyle | ( | long | endPos | ) |
| protected

reads a format style

bool LotusStyleManager::readGraphicStyle | ( | long | endPos | ) |
| protected

reads a graphic style

bool LotusStyleManager::readLineStyle | ( | long | endPos | ) |
| protected

reads a line style

bool LotusStyleManager::updateCellStyle | ( | int | cellId,
|  | WPSCellFormat & | format,
|  | WPSFont & | font,
|  | libwps_tools_win::Font::Type & | fontType
| ) |  |

update a cell format using the cell id

bool LotusStyleManager::updateFontStyle | ( | int | fontId,
|  | WPSFont & | font,
|  | libwps_tools_win::Font::Type & | fontType
| ) |  |

update a font using the font id

Referenced by updateCellStyle().

bool LotusStyleManager::updateGraphicStyle | ( | int | graphicId,
|  | WPSGraphicStyle & | style
| ) |  | const

update style using graphic id

bool LotusStyleManager::updateLineStyle | ( | int | lineId,
|  | WPSGraphicStyle & | style
| ) |  | const

update style using line id

Referenced by updateGraphicStyle().

bool LotusStyleManager::updateShadowStyle | ( | int | colorId,
|  | WPSGraphicStyle & | style
| ) |  | const
| protected

update style using color id for defining shadow

Referenced by updateGraphicStyle().

void LotusStyleManager::updateState | ( |  | ) |

update the state (need to be called before asking for style)

bool LotusStyleManager::updateSurfaceStyle | ( | int | colorId,
|  | WPSGraphicStyle & | style
| ) |  | const

update style using color id

Referenced by updateGraphicStyle().

int LotusStyleManager::version | ( |  | ) | const
| protected

return the file version

## Friends And Related Function Documentation

friend class LotusParser
| friend

## Member Data Documentation

libwps::DebugFile& LotusStyleManager::m_asciiFile
| private

the ascii file

RVNGInputStreamPtr LotusStyleManager::m_input
| private

the input

Referenced by checkFilePosition(), readCellStyle(), readColorStyle(), readFontStyle(), readFormatStyle(), readGraphicStyle(), and readLineStyle().

LotusParser& LotusStyleManager::m_mainParser
| private

the main parser

Referenced by readFontStyle(), updateState(), and version().

shared_ptr<LotusStyleManagerInternal::State> LotusStyleManager::m_state
| private

the internal state

Referenced by checkFilePosition(), cleanState(), getColor(), LotusStyleManager(), readCellStyle(), readColorStyle(), readFontStyle(), readFormatStyle(), readGraphicStyle(), readLineStyle(), updateCellStyle(), updateFontStyle(), updateGraphicStyle(), updateLineStyle(), updateShadowStyle(), updateState(), updateSurfaceStyle(), and version().

The documentation for this class was generated from the following files:

- LotusStyleManager.h
- LotusStyleManager.cpp